Bug 97844 - Toolbar color icons not resized correctly for hidpi
Summary: Toolbar color icons not resized correctly for hidpi
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HiDPI
  Show dependency treegraph
 
Reported: 2016-02-14 01:58 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-29 15:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
affected icons highlighted (30.79 KB, image/png)
2016-02-14 01:58 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-14 01:58:27 UTC
Created attachment 122633 [details]
affected icons highlighted

Dont have a means of reproducing this, but noticed screenshots at the below url where the color icons arent being scaled correctly on Windows 10.

http://news.softpedia.com/news/libreoffice-5-1-officially-released-with-redesigned-user-interface-new-features-500187.shtml

color icons affected - http://i1-news.softpedia-static.com/images/news2/libreoffice-5-1-officially-released-with-redesigned-user-interface-new-features-500187-6.jpg

display mode icon affected - http://i1-news.softpedia-static.com/images/news2/libreoffice-5-1-officially-released-with-redesigned-user-interface-new-features-500187-5.jpg
Comment 1 Tomaz Vajngerl 2016-02-14 11:16:31 UTC
Yep.. I'm aware of that and fixed it in the past however it caused regressions elsewhere. It will be fixed with the icon loading rework..
Comment 2 QA Administrators 2017-03-06 15:07:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306